Rest Assured, Parchment NOT affected by new OpenSSL vulnerability

Rest Assured, Parchment NOT affected by new OpenSSL vulnerability

Security-Header

On Thursday, June 5 an internet-wide vulnerability in OpenSSL was announced. The issue has been widely covered by media including The New York Times and PC World.

Parchment takes security very seriously. Every Member. Every Student. Every Transcript. Every Minute. You expect us to exhaust ourselves to ensure our practices represent the highest standard in the industry.  Today, our efforts once again were proven successful.

 Upon learning of this vulnerability, we immediately began an investigation to determine how this vulnerability may affect you, our members, and your students.  Through a regular security audit of our system, we determined that because we rely on network security appliances for SSL, and NOT OpenSSL, the Parchment Exchange IS NOT susceptible to this vulnerability.

 What does this really mean? The thousands of members, like you, currently using Parchment Exchange, are safe and protected against this vulnerability.

 From all of us at Parchment, your security is our highest priority, and every day we maintain the toughest standards in the industry, so you don’t have to worry.

 Thank you for trusting us.

Sign In

Search

Let us help you find what you are looking for.

X